Skip to content

/vcs-connections (POST)

POST
/vcs-connections
curl --request POST \
--url https://example.com/api/v1/vcs-connections \
--header 'Content-Type: application/json' \
--data '{ "kind": "oauth", "provider": "github", "accountLogin": "example", "token": "example", "refreshToken": "example", "expiresAt": "2026-04-15T12:00:00Z" }'
Media type application/json
Any of:
object
kind
required
string
Allowed values: oauth
provider
required
Any of:
string
Allowed values: github
accountLogin
required
string
>= 1 characters <= 255 characters
token
required
string
>= 1 characters
refreshToken
string
expiresAt
string format: date-time

Default Response

Media type application/json
object
id
required
string
provider
required
Any of:
string
Allowed values: github
kind
required
Any of:
string
Allowed values: github_app
accountLogin
required
string
installationId
required
Any of:
string
githubAppId
required
Any of:
string
createdAt
required
string format: date-time
Example
{
"provider": "github",
"kind": "github_app"
}

Default Response

Media type application/json
object
type
required
string
title
required
string
status
required
integer
code
required
string
detail
string
instance
string
errors
Array<object>
object
path
required
string
message
required
string
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"code": "example",
"detail": "example",
"instance": "example",
"errors": [
{
"path": "example",
"message": "example"
}
]
}